RSAPrivateKeyStructure (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.pkcs

## Class RSAPrivateKeyStructure

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.RSAPrivateKeyStructure

- All Implemented Interfaces:
    ASN1Encodable, Encodable

  Deprecated.
  use RSAPrivateKey

      public class RSAPrivateKeyStructure
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAPrivateKeyStructure(ASN1Sequence seq)` Deprecated.
    `RSAPrivateKeyStructure(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger prime1, java.math.BigInteger prime2, java.math.BigInteger exponent1, java.math.BigInteger exponent2, java.math.BigInteger coefficient)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getCoefficient()` Deprecated.
    `java.math.BigInteger` | `getExponent1()` Deprecated.
    `java.math.BigInteger` | `getExponent2()` Deprecated.
    `static RSAPrivateKeyStructure` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated.
    `static RSAPrivateKeyStructure` | `getInstance(java.lang.Object obj)` Deprecated.
    `java.math.BigInteger` | `getModulus()` Deprecated.
    `java.math.BigInteger` | `getPrime1()` Deprecated.
    `java.math.BigInteger` | `getPrime2()` Deprecated.
    `java.math.BigInteger` | `getPrivateExponent()` Deprecated.
    `java.math.BigInteger` | `getPublicExponent()` Deprecated.
    `int` | `getVersion()` Deprecated.
    `ASN1Primitive` | `toASN1Primitive()` Deprecated. This outputs the key in PKCS1v2 format.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAPrivateKeyStructure

          public RSAPrivateKeyStructure(java.math.BigInteger modulus,
                                java.math.BigInteger publicExponent,
                                java.math.BigInteger privateExponent,
                                java.math.BigInteger prime1,
                                java.math.BigInteger prime2,
                                java.math.BigInteger exponent1,
                                java.math.BigInteger exponent2,
                                java.math.BigInteger coefficient)

      Deprecated.

    - #### RSAPrivateKeyStructure

          public RSAPrivateKeyStructure(ASN1Sequence seq)

      Deprecated.

  - ### Method Detail

    - #### getInstance

          public static RSAPrivateKeyStructure getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

      Deprecated.

    - #### getInstance

          public static RSAPrivateKeyStructure getInstance(java.lang.Object obj)

      Deprecated.

    - #### getVersion

          public int getVersion()

      Deprecated.

    - #### getModulus

          public java.math.BigInteger getModulus()

      Deprecated.

    - #### getPublicExponent

          public java.math.BigInteger getPublicExponent()

      Deprecated.

    - #### getPrivateExponent

          public java.math.BigInteger getPrivateExponent()

      Deprecated.

    - #### getPrime1

          public java.math.BigInteger getPrime1()

      Deprecated.

    - #### getPrime2

          public java.math.BigInteger getPrime2()

      Deprecated.

    - #### getExponent1

          public java.math.BigInteger getExponent1()

      Deprecated.

    - #### getExponent2

          public java.math.BigInteger getExponent2()

      Deprecated.

    - #### getCoefficient

          public java.math.BigInteger getCoefficient()

      Deprecated.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Deprecated.
      This outputs the key in PKCS1v2 format.

                RSAPrivateKey ::= SEQUENCE {
                                    version Version,
                                    modulus INTEGER, -- n
                                    publicExponent INTEGER, -- e
                                    privateExponent INTEGER, -- d
                                    prime1 INTEGER, -- p
                                    prime2 INTEGER, -- q
                                    exponent1 INTEGER, -- d mod (p-1)
                                    exponent2 INTEGER, -- d mod (q-1)
                                    coefficient INTEGER, -- (inverse of q) mod p
                                    otherPrimeInfos OtherPrimeInfos OPTIONAL
                                }

                Version ::= INTEGER { two-prime(0), multi(1) }
                  (CONSTRAINED BY {-- version must be multi if otherPrimeInfos present --})

      This routine is written to output PKCS1 version 2.1, private keys.

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.